Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2123 - which-1.0-11 (does not expand ~)
Summary: which-1.0-11 (does not expand ~)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: which
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-11 16:52 UTC by rh2021
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-12 19:20:30 UTC


Attachments (Terms of Use)

Description rh2021 1999-04-11 16:52:27 UTC
Could not find programs in ~/bin but could find them
when I said
      $HOME/bin

    If the machine is on NIS, the problem does not occur.
Using a normal
    passwd file it does. I have ltrace and strace to upload.

Breaks programs like enlightenment which look for files
using which.


execve("/usr/bin/which", ["which", "clean"], [/* 52 vars
*/]) = 0
brk(0)                                  = 0x8049750
open("/etc/ld.so.preload", O_RDONLY)    = -1 ENOENT (No such
file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat(3, {st_mode=0, st_size=0, ...})   = 0
mmap(0, 32904, PROT_READ, MAP_PRIVATE, 3, 0) = 0x40014000
close(3)                                = 0
open("/lib/libc.so.6", O_RDONLY)        = 3
fstat(3, {st_mode=0, st_size=0, ...})   = 0
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3"..., 4096) = 4096
mmap(0, 972760, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) =
0x4001d000
mprotect(0x40103000, 30680, PROT_NONE)  = 0
mmap(0x40103000, 20480, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED, 3, 0xe5000)
 = 0x40103000
mmap(0x40108000, 10200, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOU
S, -1, 0) = 0x40108000
close(3)                                = 0
munmap(0x40014000, 32904)               = 0
personality(PER_LINUX)                  = 0
getpid()                                = 852
access("~/bin/clean", X_OK)             = -1 ENOENT (No such
file or directory)
access("/usr/local/bin/clean", X_OK)    = -1 ENOENT (No such
file or directory)
access("/opt/bin/clean", X_OK)          = -1 ENOENT (No such
file or directory)
access("/usr/bin/X11/clean", X_OK)      = -1 ENOENT (No such
file or directory)
access("/usr/bin/clean", X_OK)          = -1 ENOENT (No such
file or directory)
access("/usr/games/clean", X_OK)        = -1 ENOENT (No such
file or directory)
access("/bin/clean", X_OK)              = -1 ENOENT (No such
file or directory)
access("/usr/sbin/clean", X_OK)         = -1 ENOENT (No such
file or directory)
access("/sbin/clean", X_OK)             = -1 ENOENT (No such
file or directory)
fstat(1, {st_mode=0, st_size=0, ...})   = 0
mmap(0, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x400140
00
write(1, "which: no clean in (~/bin:/usr/l"..., 105which: no
clean in (~/bin:/us
r/local/bin:/opt/bin:/usr/bin/X11:/usr/bin:/usr/games:/bin:/usr/sbin:/sbin)
) = 105
munmap(0x40014000, 4096)                = 0
_exit(1)                                = ?

Comment 1 Preston Brown 1999-04-12 19:20:59 UTC
fixed as of which-2.0-1


Note You need to log in before you can comment on or make changes to this bug.